Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class.
Name: qscintilla
Version: 1.65
%define SVersion 1.6
Release: 4.slc5
URL: http://www.riverbankcomputing.co.uk/qscintilla/index.php
Source0: qscintilla-%{version}-gpl-%{SVersion}.tar.gz
Patch0: qscinctilla-buildnonroot.patch
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: qt-devel >= 3
%define qtdir %(pkg-config --variable=prefix qt-mt)

%description
QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor
class.

As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

%package devel
Summary: development files for QScintilla, a port to Qt of Neil Hodgson's Scintilla C++ editor class.
Group: Development/Libraries
Requires: qscintilla 

%description devel
QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor
class.

As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

This package contains the header files and documentation required for
development.

%prep
%setup -q -n qscintilla-%{version}-gpl-%{SVersion}
# allow for non-root builds, dont install into live system
%patch0

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

pushd qt
%{qtdir}/bin/qmake qscintilla.pro
make %{?_smp_mflags}
popd

%install
mkdir -p $RPM_BUILD_ROOT/%{qtdir}/{include,lib,translations}
pushd qt
make INSTALL_ROOT=$RPM_BUILD_ROOT install
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE NEWS  README README.MacOS
%{qtdir}/lib/libqscintilla.so.*
%{qtdir}/translations/*


%files devel
%defattr(-,root,root)
%doc example doc
%{qtdir}/include/*
%{qtdir}/lib/libqscintilla.so

%changelog
* Tue Apr 21 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- changed ldconfig in post section
* Tue Jun 13 2006 Jan Iven  <jan.iven@cern.ch> 
- Initial build.


